Name:           cppmyth
Version:        1.1.10
Release:        4%{?dist}
Summary:        Client interface for the MythTV backend

Group:          System Environment/Libraries
License:        GPLv2+
URL:            https://github.com/janbar/cppmyth/
Source0:        https://github.com/janbar/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         aarch64.patch

BuildRequires:  cmake

%description
This project is intended to create a easy client interface for the MythTV
backend. Its development started from January 2014 and today the API supports
the protocol version of MythTV 0.26 to 0.28-pre.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.


%prep
%setup -q
%patch0 -p1


%build
%cmake . -DCMAKE_INSTALL_LIBDIR=%{_lib}
make %{?_smp_mflags}


%install
%make_install


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc README
%{_libdir}/*.so.*


%files devel
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 01 2015 Marcin Juszkiewicz <mjuszkiewicz@redhat.com> - 1.1.10-3
- Do not treat AArch64 (__ARM_ARCH = 8) as ARM (from upstream) - rhbz#1217098

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.1.10-2
- Rebuilt for GCC 5 C++11 ABI change

* Wed Apr 08 2015 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.10-1
- Update to 1.1.10

* Tue Dec 30 2014 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.0.2-2
- Fix License tag
- Fix misspelling in Description

* Wed Dec 24 2014 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.1.0.2-1
- Initial RPM release
